// -*- c++ -*-
// Generated by gmmproc 2.46.2 -- DO NOT MODIFY!
#ifndef _GTKSPELLMM_GTKSPELL_P_H
#define _GTKSPELLMM_GTKSPELL_P_H


#include <glibmm/private/object_p.h>

#include <glibmm/class.h>

namespace GtkSpell
{

class Checker_Class : public Glib::Class
{
public:
#ifndef DOXYGEN_SHOULD_SKIP_THIS
  typedef Checker CppObjectType;
  typedef GtkSpellChecker BaseObjectType;
  typedef GtkSpellCheckerClass BaseClassType;
  typedef Glib::Object_Class CppClassParent;
  typedef GObjectClass BaseClassParent;

  friend class Checker;
#endif /* DOXYGEN_SHOULD_SKIP_THIS */

  const Glib::Class& init();


  static void class_init_function(void* g_class, void* class_data);

  static Glib::ObjectBase* wrap_new(GObject*);

protected:

  //Callbacks (default signal handlers):
  //These will call the *_impl member methods, which will then call the existing default signal callbacks, if any.
  //You could prevent the original default signal handlers being called by overriding the *_impl method.
  static void language_changed_callback(GtkSpellChecker* self, const gchar* p0);

  //Callbacks (virtual functions):
};


} // namespace GtkSpell


#endif /* _GTKSPELLMM_GTKSPELL_P_H */

